Subject: Re: Updated [experimental]: tcltk-20060202-1
From: Steve Smith <[email-masked]>
To: Steve Smith <[email-masked]>
Cc: [email-masked]
Date: Mon, 20 Mar 2006 16:44:38 +0000

>>You might want to think about how $F is evaluated above.  It isn't  
evaulated
 >>by 'sh'.  It's evaluated by tclsh.

Thanks Christopher, sorry about that. You're right, it does pass on  
the environment now.

Does anyone have Tix built under this latest version? Sadly our TCL/ 
TK code still uses Tix - when compiling 8.4.0 I get:
tclPort.h : No such file or directory

Thanks, Steve.

On 20 Mar 2006, at 15:58, Steve Smith wrote:

>
> Hi, upon seeing
> http://cygwin.com/ml/cygwin/2006-02/msg00090.html
>
> I downloaded the latest complete stable cygwin, after changing the  
> tcl version to the updated version. I then downloaded the latest  
> snapshot of cygwin1.dll and installed that (http://cygwin.com/ 
> snapshots/cygwin1-20060319.dll.bz2).
>
> The problem has not been fixed...did I not get the installation  
> correct?
>
> export F=1
> >tclsh
> puts [ exec sh -c "echo $F" ]
>  can't read "F": no such variable
>
> Thanks.
>
> ---------------------------------------------------------------------- 
> -----
> Stephen M. Smith, Professor of Biomedical Engineering
> Associate Director,  Oxford University FMRIB Centre
>
> FMRIB, JR Hospital, Headington, Oxford  OX3 9DU, UK
> +44 (0) 1865 222726  (fax 222717)
> [email-masked]    http://www.fmrib.ox.ac.uk/~steve
> ---------------------------------------------------------------------- 
> -----
>
>
>

------------------------------------------------------------------------ 
---
Stephen M. Smith, Professor of Biomedical Engineering
Associate Director,  Oxford University FMRIB Centre

FMRIB, JR Hospital, Headington, Oxford  OX3 9DU, UK
+44 (0) 1865 222726  (fax 222717)
[email-masked]    http://www.fmrib.ox.ac.uk/~steve
------------------------------------------------------------------------ 
---

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/